org.apache.nutch.api.model.request

## Class DbFilter

- java.lang.Object
- - org.apache.nutch.api.model.request.DbFilter

-     public class DbFilter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBatchId()`
    `java.lang.String` | `getEndKey()`
    `java.util.Set<java.lang.String>` | `getFields()`
    `java.lang.String` | `getStartKey()`
    `boolean` | `isKeysReversed()`
    `void` | `setBatchId(java.lang.String batchId)`
    `void` | `setEndKey(java.lang.String endKey)`
    `void` | `setFields(java.util.Set<java.lang.String> fields)`
    `void` | `setKeysReversed(boolean isKeysReversed)`
    `void` | `setStartKey(java.lang.String startKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbFilter

          public DbFilter()

  - ### Method Detail

    - #### getFields

          public java.util.Set<java.lang.String> getFields()

    - #### setFields

          public void setFields(java.util.Set<java.lang.String> fields)

    - #### isKeysReversed

          public boolean isKeysReversed()

    - #### setKeysReversed

          public void setKeysReversed(boolean isKeysReversed)

    - #### getEndKey

          public java.lang.String getEndKey()

    - #### setEndKey

          public void setEndKey(java.lang.String endKey)

    - #### getStartKey

          public java.lang.String getStartKey()

    - #### setStartKey

          public void setStartKey(java.lang.String startKey)

    - #### getBatchId

          public java.lang.String getBatchId()

    - #### setBatchId

          public void setBatchId(java.lang.String batchId)

Copyright © 2019 The Apache Software Foundation